import request from '@/utils/request'

// 查询七牛云设置列表
export function listSetImageUpload(query) {
  return request({
    url: '/set/setImageUpload/list',
    method: 'get',
    params: query
  })
}

// 查询七牛云设置详细
export function getSetImageUpload(id) {
  return request({
    url: '/set/setImageUpload/' + id,
    method: 'get'
  })
}

// 新增七牛云设置
export function addSetImageUpload(data) {
  return request({
    url: '/set/setImageUpload',
    method: 'post',
    data: data
  })
}

// 修改七牛云设置
export function updateSetImageUpload(data) {
  return request({
    url: '/set/setImageUpload',
    method: 'put',
    data: data
  })
}

// 删除七牛云设置
export function delSetImageUpload(id) {
  return request({
    url: '/set/setImageUpload/' + id,
    method: 'delete'
  })
}
